## **Seller**

| **Title:** createAuction |
| --- |
| **Acceptance Test:** createAuctionTest |
| A logged Seller can insert a new Auction referring to one of his Items: when this is done, the Seller will be asked for the start and end time, in addition to the starting price and the incrementation which will be determined by each bid. It will then be shown a confirmation or an error message. |

| **Title:** addItem |
| --- |
| **Acceptance Test:** addItemTest |
| A logged Seller can insert a new Item in the website database. It is not compulsory to open a new Auction when an item is inserted. The Seller must insert a title, a description of the product, one or more images and he will be asked for the category of the product; It will then be shown a confirmation a confirmation or an error message. |



## **User**

| **Title:** userLogin |
| --- |
| **Acceptance Test:** userLoginTest |
| A registered user can login: he must provide username (or email) and password; It will then be shown a confirmation a confirmation or an error message depending on the correctness of those data. |

| **Title:** searchItem |
| --- |
| **Acceptance Test:** searchItemTest |
| All Users can search for a specific Item in the whole website: those Items can be searched by title or category. |

| **Title:**  searchAuction |
| --- |
| **Acceptance Test:**  searchAuctionTest |
| All Users can search for a specific Auction in the whole website: those Auctions can be searched by the start or end date and by price; moreover, they can be searched by title or category of the Item they refer to. |



## **Item**

| **Title:** modify |
| --- |
| **Acceptance Test:** modifyTest |
| A logged Seller can modify an item from his owned items list. More specifically a Seller can modify the description, title and category of the item. At the end it will be shown a confirmation or an error message. |

| **Title:** add Picture |
| --- |
| **Acceptance Test:** addPictureTest |
| A logged Seller can add a picture file for the selected item. The user can select the picture file that he wants and, after the upload, it will be shown a confirmation or an error message. |



## **AuctionBeater**

| **Title:** placeBid |
| --- |
| **Acceptance Test:** placeBidTest |
| A logged User which is subscribed to the current Auction can place a bid, increasing the current value of the Item by a fixed sum that was decided by the Seller when the Auction has been created. The user will be shown as current &quot;leader&quot; of the auction or an error message is displayed. |

