package project;

import java.util.ArrayList;

public class ItemPicture {

	private static int idCounter;

	private int id;
	private Item item;
	public static ArrayList<ItemPicture> pictures = new ArrayList<ItemPicture>();

	public ItemPicture() {

		pictures.add(this);
		this.id = idCounter++;

	}
	
	public ItemPicture(int id) {
		pictures.add(this);
		this.id = id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}

	public static boolean remove(int i, Item item) {

		if (item.getImage(i) != null) {
			int index = item.getImages().indexOf(item.getImage(i));
			item.getImages().remove(index);
			return true;
		} else
			return false;
	}

	public static ItemPicture getItemPicture(int itemPicture) {

		for (ItemPicture ip : pictures) {

			if (ip.id == itemPicture) {

				return ip;

			}

		}
		
		return null;

	}

	public void setItem(Item item) {
		this.item = item;
	}

	public static ItemPicture getInstance() {
		
		return new ItemPicture();
	}

}
