## User

| Method        | Static Test                                                  | Dynamic Test                                                 | Parameterized test                                    |
| :------------ | ------------------------------------------------------------ | ------------------------------------------------------------ | ----------------------------------------------------- |
| login         | 1 working (right credentials) - 1 not working (wrong credentials) |                                                              | empty case, wrong mail                                |
| searchItem    | 1 working (item existent) - 1 not working (item not existent) |                                                              | title (empty, numbers, length), category not selected |
| searchAuction | 1 working (auction existent) - 1 not working (auction not existent) | date (start before end, malformation), price (wrong format, below zero) | title (empty, numbers, length), category not selected |



## Seller

| Method        | Static Test | Dynamic Test                                 | Parameterized test                     |
| :------------ | ----------- | -------------------------------------------- | -------------------------------------- |
| createAuction |             | wrong and right (after creating items) cases | empty case, wrong format               |
| addItem       |             | wrong and right cases                        | empty case, wrong format, right format |



## Auction

| Method       | Static Test | Dynamic Test | Parameterized test         |
| :----------- | ----------- | ------------ | -------------------------- |
| subscribe    |             |              | user and auction existence |
| assignToUser |             |              | user and item existence    |



## AuctionManager

| Method       | Static Test                  | Dynamic Test     | Parameterized test |
| :----------- | ---------------------------- | ---------------- | ------------------ |
| placeBid     | two bids with same timestamp | random timestamp |                    |
| computePrice |                              | random values    |                    |
| checkTime    |                              | random timestamp |                    |



## Item

| Method     | Static Test | Dynamic Test                                       | Parameterized test       |
| :--------- | ----------- | -------------------------------------------------- | ------------------------ |
| delete     |             | random ID (error if they do not exist)             |                          |
| modify     |             | random ID and strings (error if they do not exist) | empty case, wrong format |
| addPicture |             |                                                    | 0 < images <= 10         |



## ItemPicture

| Method | Static Test | Dynamic Test                           | Parameterized test |
| :----- | ----------- | -------------------------------------- | ------------------ |
| remove |             | random ID (error if they do not exist) |                    |

